=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_SOURCE
export DEB_VERSION_UPSTREAM

moddir=_build/modules/$(DEB_SOURCE)

%:
	dh $@

override_dh_installman:
	mkdir -p man
	cp debian/v4l2loopback-ctl.1 man
	-help2man -N --name "control v4l2 loopback devices" -o man/v4l2loopback-ctl.1 --no-discard-stderr utils/v4l2loopback-ctl
	dh_installman

override_dh_auto_build-arch:
	dh_auto_build --arch -- \
		-C utils
override_dh_auto_build-indep:
	mkdir -p $(moddir)/debian
	cp Makefile Kbuild *.[chS] $(moddir)
	cp README.md NEWS AUTHORS ChangeLog TODO $(moddir)
	cp debian/rules.modules $(moddir)/debian/rules
	for file in control.modules.in control copyright changelog docs; do \
		cp debian/$$file $(moddir)/debian/; \
	done
	tar cjf _build/$(DEB_SOURCE).tar.bz2 \
		--owner=root --group=src --mode=go=rX,u+rw,a-s --numeric-owner \
		--sort=name  --mtime="@$(SOURCE_DATE_EPOCH)" \
		-C _build \
		modules

override_dh_auto_install override_dh_auto_clean:

override_dh_dkms:
	dh_dkms -p$(DEB_SOURCE)-dkms -V $(DEB_VERSION_UPSTREAM)

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
