## v4l2loopback 0.13.2

=== Makefile ===
--- 
+++ 
@@ -76,7 +76,7 @@
 	rm -f *~
 	rm -f Module.symvers Module.markers modules.order
 	$(MAKE) -C $(KERNEL_DIR) M=$(PWD) clean
-	$(MAKE) -C utils clean
+	-$(MAKE) -C utils clean
 
 distclean: clean
 	rm -f man/v4l2loopback-ctl.1
