=== debian/changelog ===
v4l2loopback (0.13.2-1ubuntu1) oracular; urgency=medium

  * Merge from Debian (LP: #2078947), remaining changes:
    - v4l2loopback: backward compatibility for v4l2-relayd

 -- You-Sheng Yang <vicamo.yano@canonical.com>  Mon, 02 Sep 2024 18:26:32 +0800

v4l2loopback (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2 (Closes: #1071037)
    + Drop patches applied ustream
  * Update copyright information
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 24 May 2024 12:58:14 +0200

v4l2loopback (0.12.7-2ubuntu5) noble; urgency=medium

  * Support Linux 6.8 (LP: #2052801):
    - debian/patches/0008-handle-strlcpy.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 09 Feb 2024 14:25:38 +0000

v4l2loopback (0.12.7-2ubuntu4) mantic; urgency=medium

  * Fix wrong income frame length. (LP: #2025204)
    - v4l2loopback: Fixup bytesused field when writer sends a too large value

 -- You-Sheng Yang <vicamo.yano@canonical.com>  Wed, 05 Jul 2023 14:05:05 +0200

v4l2loopback (0.12.7-2ubuntu3) lunar; urgency=medium

  * Revert to 0.12.7-2ubuntu1, as dkms that unconditionaly exports CC has
    been reverted. Otherwise, currently src:linux FTBFS when trying to
    vendor in this module. LP: #2015279

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 04 Apr 2023 17:41:18 +0100
