=== debian/tests/control ===
Test-Command: env BUILD_EXCLUSIVE_CONFIG="CONFIG_VIDEO_DEV" /usr/share/modass/module-assistant-autopkgtest v4l2loopback
Features: test-name=m-a-autopkgtest
Architecture: amd64 arm64
Depends:
 linux-doc,
 module-assistant-autopkgtest,
 v4l2loopback-source,
Restrictions:
 allow-stderr,
 breaks-testbed,
 needs-root,
 superficial,
