=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: v4l2loopback
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  help2man <!cross>,
 Build-Depends-Indep:
+ dh-sequence-dkms,
  bzip2,
- dh-sequence-dkms,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/umlaeute/v4l2loopback
 Vcs-Git: https://salsa.debian.org/debian/v4l2loopback.git
@@ -19,12 +18,11 @@
 Package: v4l2loopback-source
 Architecture: all
 Depends:
+ debhelper,
  bzip2,
- debhelper,
  make,
+ module-assistant,
  ${misc:Depends},
-Recommends:
- module-assistant,
 Description: Source for the v4l2loopback driver
  This module allows you to create "virtual video devices".
  Normal (v4l2) applications will read these devices as if they were ordinary
