=== debian/changelog ===
v4l2loopback (0.15.0-0ubuntu2) questing; urgency=medium

  * Failed to build against linux-6.16 (LP: #2114259)
    - 0002-Drop-from_timer-macro-usage.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 16 Jun 2025 12:12:19 +0800

v4l2loopback (0.15.0-0ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - v4l2loopback: backward compatibility for v4l2-relayd
  * New upstream release
    - drop dkms.conf.patch, upstream

 -- Ubuntu Merge-o-Matic <mom@ubuntu.com>  Sat, 15 Mar 2025 05:29:30 +0000
