## v4l2loopback 0.15.1

=== debian/changelog ===
v4l2loopback (0.15.1-1~mx25ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Sep 2025 13:15:23 -0700

v4l2loopback (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1
    (Closes: #1108287)
  * Include <linux/timer.h> for the "timer_setup" macro.
    Thanks to Simon Richter <sjr@debian.org> (Closes: #1108287)
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 19 Aug 2025 22:48:42 +0200

v4l2loopback (0.15.0-3) unstable; urgency=medium

  * Team Upload
  * Trim old instructions from d/README.source:
    package does not use CDBS anymore

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Aug 2025 20:53:39 +0200

v4l2loopback (0.15.0-2) unstable; urgency=medium

  * v4l2loopback-utils requires a newer version of v4l2loopback-dkms
    (not the other way round)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Jun 2025 10:06:46 +0200

v4l2loopback (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0 (Closes: #1106246, #1100860)
    * Drop patches applied upstream
  * dkms: Ensure a recent enough version of v4l2loopback-utils

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Jun 2025 09:55:40 +0200
