=== debian/control ===
--- 
+++ 
@@ -1,14 +1,10 @@
 Source: v4l2loopback
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends:
- debhelper-compat (= 13),
- help2man <!cross>,
-Build-Depends-Indep:
- dh-sequence-dkms,
- bzip2,
+Build-Depends: debhelper-compat (= 13), help2man <!cross>
+Build-Depends-Indep: bzip2, dh-sequence-dkms
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/umlaeute/v4l2loopback
@@ -18,12 +14,7 @@
 
 Package: v4l2loopback-source
 Architecture: all
-Depends:
- debhelper,
- bzip2,
- make,
- module-assistant,
- ${misc:Depends},
+Depends: bzip2, debhelper, make, module-assistant, ${misc:Depends}
 Description: Source for the v4l2loopback driver
  This module allows you to create "virtual video devices".
  Normal (v4l2) applications will read these devices as if they were ordinary
@@ -34,10 +25,8 @@
 
 Package: v4l2loopback-dkms
 Architecture: all
-Depends:
- ${misc:Depends},
-Suggests:
- v4l2loopback-utils,
+Depends: ${misc:Depends}
+Suggests: v4l2loopback-utils
 Description: Source for the v4l2loopback driver (DKMS)
  This module allows you to create "virtual video devices".
  Normal (v4l2) applications will read these devices as if they were ordinary
@@ -50,14 +39,12 @@
 Package: v4l2loopback-utils
 Section: graphics
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- gstreamer1.0-tools,
- sudo,
- v4l-utils,
- v4l2loopback-dkms | v4l2loopback-modules,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: gstreamer1.0-tools,
+            sudo,
+            v4l-utils,
+            v4l2loopback-dkms | v4l2loopback-modules
+Breaks: v4l2loopback-dkms (<< 0.15~)
 Description: Commandline utilities for the for the v4l2-loopback module
  This package contains applications to interact with v4l2-loopback devices
  ("virtual video devices").
