=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 # No dbgsym packages:
 override_dh_strip:
-	@echo "not building dbgsym packages for MX Linux"
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
