=== debian/control ===
Source: v4l2loopback
Section: kernel
Priority: optional
Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 help2man <!cross>,
Build-Depends-Indep:
 dh-sequence-dkms,
 bzip2,
Standards-Version: 4.7.2
Homepage: https://github.com/umlaeute/v4l2loopback
Vcs-Git: https://salsa.debian.org/debian/v4l2loopback.git
Vcs-Browser: https://salsa.debian.org/debian/v4l2loopback
Testsuite: autopkgtest-pkg-dkms

Package: v4l2loopback-source
Architecture: all
Depends:
 debhelper,
 bzip2,
 make,
 module-assistant,
 ${misc:Depends},
Description: Source for the v4l2loopback driver
 This module allows you to create "virtual video devices".
 Normal (v4l2) applications will read these devices as if they were ordinary
 video devices, but the video will not be read from e.g. a capture card but
 instead it is generated by another application.
 .
 This package provides the source code for the v4l2loopback kernel modules.

Package: v4l2loopback-dkms
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 v4l2loopback-utils,
Description: Source for the v4l2loopback driver (DKMS)
 This module allows you to create "virtual video devices".
 Normal (v4l2) applications will read these devices as if they were ordinary
 video devices, but the video will not be read from e.g. a capture card but
 instead it is generated by another application.
 .
 This package provides the source code for the v4l2loopback kernel modules
 to be built with dkms.

Package: v4l2loopback-utils
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gstreamer1.0-tools,
 sudo,
 v4l-utils,
 v4l2loopback-dkms | v4l2loopback-modules,
Breaks:
 v4l2loopback-dkms (<< 0.15~),
Description: Commandline utilities for the for the v4l2-loopback module
 This package contains applications to interact with v4l2-loopback devices
 ("virtual video devices").
 Currently there is only a single command line utility:
 .
 v4l2loopback-ctl: tool to set framerate, format and timeout image
