=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,6 @@
 override_dh_dkms:
 	dh_dkms -p$(DEB_SOURCE)-dkms -V $(DEB_VERSION_UPSTREAM)
 
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
         debian/.*
