=== debian/watch ===
Version: 5

# process this file with uscan(1)
Template: Github
Dversionmangle: auto
Owner: umlaeute
Project: v4l2loopback
