## v4l2loopback 0.15.3

=== debian/changelog ===
v4l2loopback (0.15.3-1ubuntu2) resolute; urgency=medium

  * Add fix-buffer-queue-management.patch to comply with V4L2 spec (LP:
    #2114127)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@debian.org>  Tue, 20 Jan 2026 04:04:05 +0000

v4l2loopback (0.15.3-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - v4l2loopback: backward compatibility for v4l2-relayd
  * New upstream release (Closes: #2130335)
    - drop already applied 0002-Drop-from_timer-macro-usage.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 09 Dec 2025 14:29:06 +0800

v4l2loopback (0.15.3-1) unstable; urgency=medium

  * New upstream version 0.15.3
  * Update upstream homepage/repository

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Dec 2025 16:19:32 +0100
