=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: v4l2loopback
 Section: kernel
 Priority: optional
-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  help2man <!cross>,
@@ -9,7 +10,7 @@
  dh-sequence-dkms,
  bzip2,
 Standards-Version: 4.7.2
-Homepage: https://github.com/umlaeute/v4l2loopback
+Homepage: https://github.com/v4l2loopback/v4l2loopback
 Vcs-Git: https://salsa.debian.org/debian/v4l2loopback.git
 Vcs-Browser: https://salsa.debian.org/debian/v4l2loopback
 Testsuite: autopkgtest-pkg-dkms
